org.jfree.chart.event

## Class ChartChangeEvent

- java.lang.Object
- - java.util.EventObject
  - - org.jfree.chart.event.ChartChangeEvent

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    AnnotationChangeEvent, AxisChangeEvent, MarkerChangeEvent, PlotChangeEvent, RendererChangeEvent, TitleChangeEvent

      public class ChartChangeEvent
      extends java.util.EventObject

  A change event that encapsulates information about a change to a chart.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChartChangeEvent(java.lang.Object source)` Creates a new chart change event.
    `ChartChangeEvent(java.lang.Object source, JFreeChart chart)` Creates a new chart change event.
    `ChartChangeEvent(java.lang.Object source, JFreeChart chart, ChartChangeEventType type)` Creates a new chart change event.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JFreeChart` | `getChart()` Returns the chart that generated the change event.
    `ChartChangeEventType` | `getType()` Returns the event type.
    `void` | `setChart(JFreeChart chart)` Sets the chart that generated the change event.
    `void` | `setType(ChartChangeEventType type)` Sets the event type.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ChartChangeEvent

          public ChartChangeEvent(java.lang.Object source)

      Creates a new chart change event.
      Parameters:
        `source` - the source of the event (could be the chart, a title, an axis etc.)

    - #### ChartChangeEvent

          public ChartChangeEvent(java.lang.Object source,
                                  JFreeChart chart)

      Creates a new chart change event.
      Parameters:
        `source` - the source of the event (could be the chart, a title, an axis etc.)
        `chart` - the chart that generated the event.

    - #### ChartChangeEvent

          public ChartChangeEvent(java.lang.Object source,
                                  JFreeChart chart,
                                  ChartChangeEventType type)

      Creates a new chart change event.
      Parameters:
        `source` - the source of the event (could be the chart, a title, an axis etc.)
        `chart` - the chart that generated the event.
        `type` - the type of event.

  - ### Method Detail

    - #### getChart

          public JFreeChart getChart()

      Returns the chart that generated the change event.
      Returns:
        The chart that generated the change event.

    - #### setChart

          public void setChart(JFreeChart chart)

      Sets the chart that generated the change event.
      Parameters:
        `chart` - the chart that generated the event.

    - #### getType

          public ChartChangeEventType getType()

      Returns the event type.
      Returns:
        The event type.

    - #### setType

          public void setType(ChartChangeEventType type)

      Sets the event type.
      Parameters:
        `type` - the event type.